import SvConfirm from "./index.vue"

export default {
  install(Vue, { vuetify }) {
    if (!vuetify) {
      console.warn(
        "Module vuetify-confirm needs vuetify instance. Use Vue.use(VuetifyConfirm, { vuetify })"
      )
    }
    const Confirm = Vue.extend(Object.assign({ vuetify }, SvConfirm))

    function createDialogConfirm(options) {
      const container =
        document.querySelector("[data-app=true]") || document.body
      return new Promise((resolve) => {
        const confirm = new Confirm(
          Object.assign(
            {},
            {
              propsData: Object.assign({}, options),
              destroyed: () => {
                container.removeChild(confirm.$el)
                resolve(confirm.value)
              }
            }
          )
        )
        container.appendChild(confirm.$mount().$el)
      })
    }

    function confirm(message, options = {}) {
      options.message = message
      return createDialogConfirm(options)
    }

    Vue.prototype.$confirm = confirm
  }
}
