import SvLoading from "./index.vue"

/**
 * @use this.$loading.show()
 * @use await Promise()
 * @use this.$loading.hide()
 *
 */

export default {
  install(Vue) {
    const Loading = Vue.extend(SvLoading)
    const container = document.querySelector("[data-app=true]") || document.body
    let loading = null

    function show() {
      loading = new Loading({
        mounted: () => {
          loading.visible = true
        }
      })
      container.appendChild(loading.$mount().$el)
    }

    function hide() {
      loading.visible = false
      container.removeChild(loading.$el)
    }

    Vue.prototype.$loading = {
      show,
      hide
    }
  }
}
