import SvSnackbar from "./index.vue"

export default {
  install(Vue, { vuetify, i18n }) {
    const Snackbar = Vue.extend(Object.assign({ vuetify, i18n }, SvSnackbar))
    function createNotification(options) {
      const container =
        document.querySelector("[data-app=true]") || document.body
      const notify = new Snackbar(
        Object.assign(
          {},
          {
            propsData: Object.assign({}, options),
            mounted: () => {
              notify.visible = true
            }
          }
        )
      )
      container.appendChild(notify.$mount().$el)
    }

    function success(message) {
      const options = {
        message,
        type: "success"
      }
      createNotification(options)
    }
    function error(message) {
      const options = { message, type: "error" }
      createNotification(options)
    }
    function warning(message) {
      const options = { message, type: "warning" }
      createNotification(options)
    }
    function info(message) {
      const options = { message, type: "info" }
      createNotification(options)
    }

    Vue.prototype.$success = success
    Vue.prototype.$error = error
    Vue.prototype.$warning = warning
    Vue.prototype.$info = info
  }
}
