import DatePicker from "./components/date-picker"
import TimePicker from "./components/time-picker"
import DataTable from "./components/data-table"
import Select from "./components/select"
import TextField from "./components/text-field"
import TextFieldCurrency from "./components/text-field-currency"
import Textarea from "./components/textarea"

import Confirm from "./components/confirm"
import Snackbar from "./components/snackbar"
import Loading from "./components/loading"

const components = [
  DatePicker,
  TimePicker,
  DataTable,
  Select,
  TextField,
  TextFieldCurrency,
  Textarea
]

const install = (Vue, { vuetify }) => {
  components.forEach((component) => {
    Vue.component(component.name, component)
  })

  Vue.use(Confirm, { vuetify })
  Vue.use(Snackbar, { vuetify })
  Vue.use(Loading)
}

/* istanbul ignore if */
if (typeof window !== "undefined" && window.Vue) {
  install(window.Vue)
}

export default { install, DatePicker, DataTable }
